Bug 41808 - New Port: japanese/skkinput3
Summary: New Port: japanese/skkinput3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-08-20 03:50 UTC by KOMATSU Shinichiro
Modified: 2002-09-13 11:19 UTC (History)
0 users

See Also:


Attachments
file.shar (5.38 KB, text/plain)
2002-08-20 03:50 UTC, KOMATSU Shinichiro
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description KOMATSU Shinichiro 2002-08-20 03:50:01 UTC
Skkinput is an input method for X11 applications that want Japanese
text input.

A client that wants kana-kanji conversion service for Japanese text
sends a request to skkinput.  Skkinput receives the request, does
kana-kanji conversion, and sends the converted text back to the
client.

From version 3.0, skkinput becomes an emacs-lisp like interpreter,
and uses skk.el in skk-8.6 as an conversion engine.
Comment 1 Akinori MUSHA freebsd_committer 2002-09-04 14:21:10 UTC
State Changed
From-To: open->feedback

1.  make build fails.  Have you tested this with XFree86/imake 4.2.0? 
It fails to build saying: 

make: don't know how to make skkinput3.man. Stop 
*** Error code 2 

Adding the following lines fixes the problem, but the correct fix 
should be to stop it from trying to build a manpage: 

post-extract: 
${MV} ${WRKSRC}/skkinput.man ${WRKSRC}/skkinput3.man 

2.  make package fails.  You must define USE_X_PREFIX (which implies 
USE_XLIB, which was also missing) to set PREFIX to X11BASE. 
Also, you should move all the variable definitions above the 
.include <bsd.port.pre.mk> line because the variables like 
USE_X_PREFIX is evaluated in the pre stage. 

Please check them out.
Comment 2 Akinori MUSHA freebsd_committer 2002-09-13 11:18:39 UTC
State Changed
From-To: feedback->closed

Committed with trivial fixes, thanks!